Bug 283651 - /bin/ping uses /usr/lib/libidn.so.11, breaking minimal systems (where /usr is mounted later)
/bin/ping uses /usr/lib/libidn.so.11, breaking minimal systems (where /usr is...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libidn (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 14:27 EDT by Peter Bieringer
Modified: 2008-03-07 11:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 11:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2007-09-08 14:27:54 EDT
Description of problem:
/bin/ping uses a library in /usr/lib, which can break minimal systems, where
only /bin, /sbin and /lib is available.

Version-Release number of selected component (if applicable):
iputils-20070202-3.fc7
Comment 1 Martin Nagy 2008-02-26 06:36:15 EST
I'm sorry but this library is needed so ping can use internationalized domain
names. Hence closing as CANTFIX.
Comment 2 Martin Nagy 2008-03-07 10:07:50 EST
reopening and reassigning to Joe Orton, maybe he could move the library to /lib

Note You need to log in before you can comment on or make changes to this bug.